﻿using MotorPlantContracts.BindingModels;
using MotorPlantContracts.SearchModels;
using MotorPlantContracts.ViewModels;
using MotorPlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MotorPlantContracts.BusinessLogicsContracts
{
    public interface IShopLogic
    {
        List<ShopViewModel>? ReadList(ShopSearchModel? model);
        ShopViewModel? ReadElement(ShopSearchModel? model);
        bool Create(ShopBindingModel? model);
        bool Update(ShopBindingModel? model);
        bool Delete(ShopBindingModel? model);
        bool MakeSupply(ShopSearchModel model, IEngineModel engine, int count);
		bool MakeSell(IEngineModel model, int count);
	}
}
